@NonNullApi @NonNullFields

# Package org.springframework.messaging.simp.annotation.support

Support classes for handling messages from simple messaging protocols (like STOMP).

See: Description

Class Summary
PrincipalMethodArgumentResolver: Resolver for arguments of type `Principal`, including `Optional<Principal>`.
SendToMethodReturnValueHandler: A `HandlerMethodReturnValueHandler` for sending to destinations specified in a `SendTo` or `SendToUser` method-level annotations.
SimpAnnotationMethodMessageHandler: A handler for messages delegating to `@MessageMapping` and `@SubscribeMapping` annotated methods.
SubscriptionMethodReturnValueHandler: `HandlerMethodReturnValueHandler` for replying directly to a subscription.

Exception Summary
MissingSessionUserException: `MessagingException` thrown when a session is missing.

## Package org.springframework.messaging.simp.annotation.support Description

Support classes for handling messages from simple messaging protocols (like STOMP).